<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\Country;
use App\Models\Token;
use App\Models\User;
use App\Repositories\AdRepository;
use App\Repositories\CategoryRepository;
use App\Repositories\CountriesRepository;
use App\Repositories\adsRepository;
use App\Repositories\UserRepository;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;


class AdsController extends Controller
{
    private $adsRepository;


    public function __construct(AdRepository $adsRepository)
    {
        $this->adsRepository = $adsRepository;
    }


    public function index()
    {
        $rows = $this->adsRepository->index();
        return view('admin.ads.index', compact('rows'));
    }


    public function edit($id)
    {
        $row = $this->adsRepository->show($id);

        return view('admin.ads.edit', compact('row',));
    }

    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'url' => 'required',
            'poet_id' => 'required|exists:users,id',
            'image' => 'image'
        ]);
        $this->adsRepository->update($id,$request);
        success_toast();
        $user=User::find($id);
        return redirect()->route('ads.index');
    }

    public function create(){
        return view('admin.ads.create');
    }
    public function store(Request $request)
    {

        $this->validate($request, [
            'url' => 'required',
            'poet_id' => 'required|exists:users,id',
            'image' => 'image'
        ]);
        $this->adsRepository->store($request);
        toast('تم الإنشاء بنجاح', 'success');
        return redirect()->route('ads.index');
    }

    public function destroy($id)
    {
        $this->adsRepository->destroy($id);
        success_toast();
        return back();
    }


}
