<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\CartegorySubmitRequest;
use App\Http\Requests\CategoriesRequestValidation;
use App\Http\Requests\CityRequest;
use App\Repositories\CityRepository;
use Illuminate\Http\Request;

class CityController extends Controller
{
    private $cityRepository;

    public function __construct(CityRepository $cityRepository)
    {
        $this->cityRepository = $cityRepository;
    }

    public function index()
    {
        $rows = $this->cityRepository->index();
        return view('admin.cities.index', compact('rows'));
    }

    public function edit($id)
    {
        $row = $this->cityRepository->show($id);
        return view('admin.cities.edit', compact('row'));
    }

    public function update(CityRequest $request, $id)
    {
        $request->validated();

        $this->cityRepository->update($id,$request);
        success_toast();
        return redirect()->route('cities.index');
    }

    public function create(){
        return view('admin.cities.create');
    }
    public function store(CityRequest $request)
    {
        $request->validated();
        $this->cityRepository->store($request);
        toast('تم الإنشاء بنجاح', 'success');
        return redirect()->route('cities.index');
    }

    public function destroy($id)
    {
        $this->cityRepository->destroy($id);
        success_toast();
        return redirect()->route('cities.index');
    }

}
