<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\AssociationSubmitRequest;
use App\Repositories\AssociationRepository;
use App\Repositories\DepositRepository;
use Illuminate\Http\Request;

class DepositController extends Controller
{
    private $depositRepository;

    public function __construct(DepositRepository $depositRepository)
    {
        $this->depositRepository = $depositRepository;
    }

    public function index()
    {
        $rows = $this->depositRepository->index();
        return view('admin.deposits.index', compact('rows'));
    }

    public function show($id)
    {
        $row = $this->depositRepository->show($id);
        return view('admin.deposits.show', compact('row'));
    }


    public function change_status($id,$status)
    {
        $this->depositRepository->changeStatus($id,$status);
        success_toast();
        return redirect()->route('deposits.index');
    }


}
