<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\Country;
use App\Models\Order;
use App\Models\Token;
use App\Models\User;
use App\Repositories\AdRepository;
use App\Repositories\CategoryRepository;
use App\Repositories\CountriesRepository;
use App\Repositories\adsRepository;
use App\Repositories\UserRepository;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;


class OrderController extends Controller
{
    public function index()
    {
        $rows =Order::all();
        return view('admin.orders.index', compact('rows'));
    }




    public function destroy($id)
    {
        Order::destroy($id);
        success_toast();
        return back();
    }


    public function changeStatus(Request $request, $id)
    {

        $order=Order::findOrFail($id);
        $order->type=$request->type;
        $order->save();
        success_toast();
        return redirect()->route('orders.index');
    }

}
