<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\Country;
use App\Models\Order;
use App\Models\PaymentTransfer;
use App\Models\Token;
use App\Models\User;
use App\Repositories\AdRepository;
use App\Repositories\CategoryRepository;
use App\Repositories\CountriesRepository;
use App\Repositories\adsRepository;
use App\Repositories\UserRepository;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;


class TransferController extends Controller
{
    public function index()
    {
        $rows =PaymentTransfer::all();
        return view('admin.transfers.index', compact('rows'));
    }




    public function destroy($id)
    {
        PaymentTransfer::destroy($id);
        success_toast();
        return back();
    }


    public function changeStatus(Request $request, $id)
    {

        $transfer=PaymentTransfer::findOrFail($id);
        $transfer->status=$request->status;
        $transfer->save();
        success_toast();
        return redirect()->route('transfers.index');
    }

}
