<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\UserResource;
use App\Models\User;
use Illuminate\Http\Request;
use JWTAuth;

class HomeController extends Controller
{

    public function poets_managers($type)
    {
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => 'التوكن خطأ', 'code' => 401]);
        }
        $rows = [];
        if ($type == 'dialogue') {
            $rows = User::where(['type' => 'poet', 'city_id' => $user->city_id])->whereIn('poet_types', ['all', 'dialogue'])->latest()->paginate(10);
        } elseif ($type == 'elite') {
            $rows = User::where(['type' => 'poet', 'city_id' => $user->city_id])->whereIn('poet_types', ['all', 'elite'])->latest()->paginate(10);
        } elseif ($type == 'class_manager') {
            $rows = User::where(['type' => 'class_manager', 'city_id' => $user->city_id])->latest()->paginate(10);
        }

        return UserResource::collection($rows)->additional(['value' => true, 'code' => 200]);

    }

}
