<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Resources\NotificationResource;
use App\Models\Notification;
use Illuminate\Http\Request;
use JWTAuth;

class NotificationsController extends Controller
{
    public function index(Request $request)
    {
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => 'التوكن خطأ', 'code' => 401]);
        }
        $rows = Notification::where('user_id', $user->id)->paginate(10);
        return NotificationResource::collection($rows)->additional([
            'value' => true, 'code' => 200
        ]);
    }

    public function destroy($id, Request $request)
    {

        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => 'التوكن خطأ', 'code' => 401]);
        }
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        Notification::destroy($id);
        $rows = Notification::where('user_id', $user->id)->paginate(10);
        return NotificationResource::collection($rows)->additional([
            'value' => true, 'code' => 200
        ]);

    }

}
