<?php

namespace App\Http\Resources;

use App\Models\Order;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $user = User::find($this->id);
        $myTTL = 60 * 60 * 365; //minutes
        JWTAuth::factory()->setTTL($myTTL);
        $token = JWTAuth::fromUser($user);




        if ($request->date) {
            $date = convert_date($request->date, $request->time);
            $order = Order::where(['user_id' => $this->id, 'type' => 'in_progress'])->whereDate('date', '=', Carbon::parse($date)->toDateString())->first();
            if ($order || Carbon::parse($date)->toDateString() == Carbon::now()->toDateString()) {
                $available = 'false';
            } else {
                $available = 'true';
            }
        } else {
            $available = '';
        }



        return [
            'id' => $this->id,
            'name' => $this->name ? $this->name : '',
            'email' => $this->email ? $this->email : '',
            'mobile' => $this->mobile ? $this->mobile : '',
            'city_id' => $this->city_id ? (integer)$this->city_id : '',
            'city_name' => $this->city_id ? $this->city->name : '',
            'note' => $this->note ? $this->note : '',
            'type' => $this->type,
            'poet_types' => $this->poet_types ? $this->poet_types : '',
            'wallet' => $this->wallet ? (integer)$this->wallet : 0,
            'verification_code' => $this->verification_code ? (string)$this->verification_code : '',
            'image' => $this->image ? asset('images/users/' . $this->image) : "",
            'status' => $this->status ? $this->status : '',
            'available' => $available,
            'token' => $token
        ];
    }
}
