<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Ad extends Model
{

    protected $table = 'ads';
    public $timestamps = true;
    protected $fillable = array('poet_id', 'image', 'url');

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/ads/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/ads/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }
    public function poet()
    {
        return $this->belongsTo(User::class, 'poet_id');
    }


}
