<?php


namespace App\Repositories;


use App\Models\Ad;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Support\Facades\Hash;

class AdRepository
{
    public function index()
    {
        return Ad::all();
    }
    public function show($id){
        return Ad::findOrFail($id);
    }
    public function store($request)
    {
        $data = [
            'url' => $request->url,
            'poet_id' => $request->poet_id,
        ];
        $ad=Ad::create($data);
        if ($request->hasFile('image')) {
            $ad->setImageAttribute();
        }
        $ad->save();
    }
    public function update($id,$request){
        $ad = $this->show($id);
        $data = [
            'url' => $request->url,
            'poet_id' => $request->poet_id,
        ];
        $ad->update($data);
        $ad->save();
        if ($request->hasFile('image')) {
            $ad->setImageAttribute();
        }
    }
    public function destroy($id){
        Ad::destroy($id);
    }

}
