<?php


namespace App\Repositories;


use App\Models\User;
use Carbon\Carbon;
use Illuminate\Support\Facades\Hash;

class UserRepository
{
    public function index($type)
    {
        return User::where('type',$type)->get();
    }
    public function show($id){
        return User::findOrFail($id);
    }
    public function store($request)
    {
        $data = [
            'name' => $request->name,
            'email' => $request->email,
            'status' => $request->status,
            'mobile' => $request->mobile,
            'type' => $request->type,
            'city_id' => $request->city_id,
            'poet_types' => $request->poet_types,
        ];
        $data['password'] = Hash::make($request->password);
        $User=User::create($data);
        if ($request->hasFile('image')) {
            $User->setImageAttribute();
        }
        $User->save();
    }
    public function update($id,$request){
        $User = $this->show($id);
        $data = [
            'name' => $request->name,
            'email' => $request->email,
            'status' => $request->status,
            'mobile' => $request->mobile,
            'type' => $request->type,
            'city_id' => $request->city_id,
            'poet_types' => $request->poet_types,


        ];
        $data['password'] = Hash::make($request->password);
        $User->update($data);
        $User->save();
        if ($request->hasFile('image')) {
            $User->setImageAttribute();
        }
    }
    public function destroy($id){
        User::destroy($id);
    }

}
