<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateOrdersTable extends Migration {

	public function up()
	{
		Schema::create('orders', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('client_id')->unsigned();
			$table->integer('user_id')->unsigned();
			$table->enum('type', array('waiting', 'accept', 'in_progress', 'finished', 'cancel'))->nullable();
			$table->timestamp('date')->nullable();
			$table->integer('city_id')->unsigned();
			$table->string('price')->nullable();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('orders');
	}
}
