<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {

	public function up()
	{
		Schema::create('users', function(Blueprint $table) {
			$table->increments('id');
			$table->string('name')->nullable();
			$table->string('mobile')->unique()->nullable();
			$table->string('email')->unique()->nullable();
			$table->integer('city_id')->unsigned();
			$table->enum('type', array('client', 'poet', 'class_manager'))->nullable();
			$table->enum('poet_types', array('dialogue', 'elite', 'all'))->nullable();
			$table->enum('status', array('active', 'not_active'))->nullable();
			$table->longText('note')->nullable();
			$table->string('image')->nullable();
			$table->string('wallet')->nullable();
			$table->string('verification_code')->nullable();
            $table->rememberToken();
			$table->string('password');
            $table->timestamps();
        });
	}

	public function down()
	{
		Schema::drop('users');
	}
}