<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateTokensTable extends Migration {

	public function up()
	{
		Schema::create('tokens', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('user_id')->unsigned()->nullable();
            $table->foreign('user_id')->references('id')->on('users')
                ->onDelete('cascade')
                ->onUpdate('cascade');
			$table->string('token')->nullable();
			$table->enum('device_type', array('ios', 'android'))->nullable();
			$table->enum('status', array('connected', 'disconnected'))->nullable();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('tokens');
	}
}
