@extends('admin.layout.master')
@section('title', "الاعلانات")
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعلانات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('ads.update',$row->id)}}" enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">الرابط</label>
                                <input type="text" class="form-control" required value="{{$row->url}}" name="url"
                                       id="exampleInputEmail1"
                                       placeholder="الرابط">
                                @if ($errors->has('url'))
                                    <small class="text-danger">{{ $errors->first('url') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="poet_id">الشاعر</label>
                                <select name="poet_id" class="form-control" id="exampleSelect1">
                                    @foreach(\App\Models\User::where('type','poet')->get() as $user)
                                        <option value="{{$user->id}}" @if($user->id ==$row->poet_id) selected @endif>{{$user->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                            @if ($errors->has('poet_id'))
                                <small class="text-danger">{{ $errors->first('poet_id') }}</small>
                            @endif
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة</h4>
                                        <input type="file" name="image" data-height="300"
                                               data-default-file="{{$row->image}}"
                                               class="dropify"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop


