@extends('admin.layout.master')
@section('title', 'البنوك')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">البنوك</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('banks.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالعربية</label>
                                    <input type="text" class="form-control" value="{{$row->translate('ar')->name}}" name="name_ar"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالعربية">
                                    @if ($errors->has('name_ar'))
                                        <small class="text-danger">{{ $errors->first('name_ar') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالانجليزية</label>
                                    <input type="text" class="form-control" value="{{$row->translate('en')->name}}" name="name_en"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالانجليزية">
                                    @if ($errors->has('name_en'))
                                        <small class="text-danger">{{ $errors->first('name_en') }}</small>
                                    @endif
                                </div>

                            </div>

                            <div class="row">
                            <div class="form-group col-md-6">
                                <label for="exampleInputEmail1">رقم الحساب</label>
                                <input type="text" class="form-control" value="{{$row->account_number}}"
                                       name="account_number"
                                       required         id="exampleInputEmail1"
                                       placeholder="رقم الحساب">
                                @if ($errors->has('account_number'))
                                    <small class="text-danger">{{ $errors->first('account_number') }}</small>
                                @endif
                            </div>
                            <div class="form-group col-md-6">
                                <label for="exampleInputEmail1">رقم الإيبان</label>
                                <input type="text" class="form-control" value="{{$row->iban_number}}"
                                       name="iban_number" required
                                       id="exampleInputEmail1"
                                       placeholder="رقم الإيبان">
                                @if ($errors->has('iban_number'))
                                    <small class="text-danger">{{ $errors->first('iban_number') }}</small>
                                @endif
                            </div>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الصورة </label>
                                <input type="file"

                                       data-default-file="{{$row->getFirstMediaUrl('Bank')}}" name="image" class="dropify"/>

                            </div>




                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
