@extends('admin.layout.master')
@section('title', 'الجمعيات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الجمعيات
                </h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('associations.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالعربية</label>
                                    <input type="text" class="form-control" value="{{old('name_ar')}}" name="name_ar"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالعربية">
                                    @if ($errors->has('name_ar'))
                                        <small class="text-danger">{{ $errors->first('name_ar') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالانجليزية</label>
                                    <input type="text" class="form-control" value="{{old('name_en')}}" name="name_en"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالانجليزية">
                                    @if ($errors->has('name_en'))
                                        <small class="text-danger">{{ $errors->first('name_en') }}</small>
                                    @endif
                                </div>
                            </div>

                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الوصف بالعربية</label>
                                    <textarea type="text" class="form-control" rows="4" cols="50" name="description_ar"
                                              placeholder="الوصف بالعربية">{{old('description_ar')}}</textarea>
                                    @if ($errors->has('description_ar'))
                                        <small class="text-danger">{{ $errors->first('description_ar') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الوصف بالانجليزية</label>
                                    <textarea  class="form-control" rows="4" cols="50"  name="description_en"
                                               placeholder="الوصف بالانجليزية">{{old('description_en')}}</textarea>
                                    @if ($errors->has('description_en'))
                                        <small class="text-danger">{{ $errors->first('description_en') }}</small>
                                    @endif
                                </div>
                            </div>

                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label for="exampleInputEmail1">نوع الجمعية</label>

                                    <select name="rounds_type" required class="form-control">
                                        <option value="month">شهري</option>
                                        <option value="week">اسبوعي</option>
                                    </select>
                                    @if ($errors->has('rounds_type'))
                                        <small class="text-danger">{{ $errors->first('rounds_type') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-4">
                                    <label for="exampleInputEmail1">القسم</label>

                                    <select name="category_id" required class="form-control">
                                        @foreach(\App\Models\Category::all() as $category)
                                        <option value="{{$category->id}}">{{$category->name}}</option>
                                        @endforeach
                                    </select>
                                    @if ($errors->has('category_id'))
                                        <small class="text-danger">{{ $errors->first('category_id') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-4">
                                    <label for="exampleInputEmail1">تاريخ البدء</label>
                                    <input type="datetime-local" min="1" class="form-control" value="{{old('launch_date')}}" name="launch_date"
                                           id="exampleInputEmail1"
                                           placeholder="تاريخ البدء">
                                    @if ($errors->has('launch_date'))
                                        <small class="text-danger">{{ $errors->first('launch_date') }}</small>
                                    @endif
                                </div>
                            </div>
                            <div class="row">

                                <div class="form-group col-md-3">
                                    <label for="exampleInputEmail1">فئة الجمعية</label>
                                    <input type="number" min="1" step=".1" class="form-control" onkeyup="calculateTotal()" value="{{old('round_price')}}" name="round_price"
                                           id="round_price"
                                           placeholder="فئة الجمعية">
                                    @if ($errors->has('round_price'))
                                        <small class="text-danger">{{ $errors->first('round_price') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-3">
                                    <label for="exampleInputEmail1">الأماكن المتاحة</label>
                                    <input type="number" min="1" class="form-control" onkeyup="calculateTotal()" value="{{old('slots')}}" name="slots"
                                           id="slots"
                                           placeholder="الأماكن المتاحة">
                                    @if ($errors->has('slots'))
                                        <small class="text-danger">{{ $errors->first('slots') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-3">
                                    <label for="exampleInputEmail1">نسبة الخصم</label>
                                    <input type="number" step=".1" max="100" min="1" onkeyup="calculateTotal()" class="form-control" value="{{old('discount')}}" name="discount"
                                           id="discount"
                                           placeholder="نسبة الخصم %">
                                    @if ($errors->has('discount'))
                                        <small class="text-danger">{{ $errors->first('discount') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-3">
                                    <label for="exampleInputEmail1">الإجمالي</label>
                                    <input readonly type="number" step=".1" class="form-control" value="{{old('total')}}" name="total" id="total"
                                           placeholder="الإجمالي">
                                    @if ($errors->has('total'))
                                        <small class="text-danger">{{ $errors->first('total') }}</small>
                                    @endif
                                </div>

                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الصورة </label>
                                <input type="file" name="image" class="dropify"/>

                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop


@section('scripts')

    <script>
    function calculateTotal () {
    var discount_percentage =$('#discount').val()/100;
    var slots =$('#slots').val();
    var round_price =$('#round_price').val();
        console.log(round_price)
    var price =round_price * slots;
    var discount =price * discount_percentage;
    $('#total').val(price-discount);
    }
    </script>

@endsection
