@extends('admin.layout.master')
@section('title', "إيصالات الدفع")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">إيصالات الدفع</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">إيصالات الدفع</h4>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الجمعية</th>
                        <th>المستخدم</th>
                        <th>تاريخ الاستحقاق</th>
                        <th>المبلغ المطلوب</th>
                        <th>النوع</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>

                            <td>{{$i}}</td>
                            <td>{!!$row->payment_receipt->association?->name!!}</td>
                            <td>{!!$row->user?->name!!}</td>
                            <td>{!!\Carbon\Carbon::parse($row->payment_receipt->due_date)->format('Y-m-d')!!}</td>
                            <td>{!!$row->payment_receipt->association?->round_price!!}</td>
                            <td>
                                @if($row->status == '0')
                                    <span class="btn btn-rounded btn-small btn-warning"> تحت المراجعة </span>
                                @elseif($row->status == '1')
                                    <span class="btn btn-rounded btn-small btn-success"> مقبول </span>
                                @else
                                    <span class="btn btn-rounded btn-small btn-danger"> مرفوض </span>

                                @endif
                            </td>

                            <td>
                                <a href="{{route('deposit.change',[$row->id,2])}}">
                                    <button  @if($row->status != '0') disabled @endif type="button"
                                             class="btn btn-danger waves-effect waves-light">
                                    رفض
                                </button>

                                    <a href="{{route('deposit.change',[$row->id,1])}}">
                                    <button  @if($row->status != '0') disabled @endif type="button"
                                            class="btn btn-success waves-effect waves-light">قبول
                                    </button>
                                </a>
                                <a href="{{route('deposits.show',$row->id)}}">
                                    <button   type="button"
                                            class="btn btn-info waves-effect waves-light">عرض
                                    </button>
                                </a>


                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('associations.destroy',$row->id)}}">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
