@extends('admin.layout.master')
@section('title', "الطلبات")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الطلبات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}


                <h4 class="header-title">الطلبات</h4>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>العميل</th>
                        <th>المستخدم</th>
                        <th>المدينة</th>
                        <th>السعر</th>
                        <th>الحالة</th>
                        <th>التاريخ المطلوب</th>
                        <th>تاريخ الإنشاء</th>

                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>

                            <td>{{$i}}</td>
                            <td>{!!$row->client->name!!}</td>
                            <td>{!!$row->user->name!!}</td>
                            <td>{!!$row->city->name!!}</td>
                            <td>{!!$row->price!!}</td>
                            <td>
                                @if($row->type == 'waiting')
                                    قيد الإنتظار
                                @elseif($row->type == 'accept')
                                    مقبول
                                @elseif($row->type == 'in_progress')
                                    قيد المراجعة
                                @elseif($row->type == 'finished')
                                    تم ألإنهاء
                                @else
                                    تم الإلغاء
                                @endif

                            </td>
                            <td>{!!\Carbon\Carbon::parse($row->date)->format('Y-m-d')!!}</td>
                            <td>{!!\Carbon\Carbon::parse($row->created_at)->format('Y-m-d')!!}</td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>
                                <button type="button" class="btn btn-info waves-effect waves-light"
                                        data-toggle="modal" data-target="#statusModal{{$row->id}}">تعديل الحالة
                                </button>




                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('orders.destroy',$row->id)}}">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div>

                        <div id="statusModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="statusModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد تغير الحالة ؟</h5>

                                        <form method="post" id="statusForm" enctype="multipart/form-data"
                                              action="{{route('orders.changeStatus',$row->id)}}">
                                            @csrf
                                            @method('put')
                                            <div class="form-group">
                                                <label for="exampleSelect1">الحالة</label>
                                                <select name="type" class="form-control" id="exampleSelect1">
                                                    <option @if($row->type == 'waiting') selected @endif value="waiting">قيد الإنتظار</option>
                                                    <option @if($row->type == 'accept') selected @endif value="accept">مقبول</option>
                                                    <option @if($row->type == 'in_progress') selected @endif value="in_progress">قيد المراجعة</option>
                                                    <option @if($row->type == 'finished') selected @endif value="finished">تم ألإنهاء</option>
                                                    <option @if($row->type == 'cancel') selected @endif value="cancel">تم الإلغاء</option>
                                                </select>
                                                @if ($errors->has('type'))
                                                    <small class="text-danger">{{ $errors->first('type') }}</small>
                                                @endif
                                            </div>

                                        </form>

                                    </div>
                                    <div class="modal-footer">

                                        <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                        <button type="button" onclick="$('#statusForm').submit()"
                                                class="btn btn-success waves-effect waves-light">تاكيد
                                        </button>

                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
