@extends('admin.layout.master')
@section('title', 'المستخدمين')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">المستخدمين</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('users.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">الإسم</label>
                                <input type="text" class="form-control" required value="{{old('name')}}" name="name"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم">
                                @if ($errors->has('name'))
                                    <small class="text-danger">{{ $errors->first('name') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكترونى</label>
                                <input type="email" class="form-control" required value="{{old('email')}}" name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكترونى">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputPhone">رقم الجوال</label>
                                <input type="text" class="form-control" required value="{{old('mobile')}}" name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة</h4>
                                        <input type="file" name="image" class="dropify"
                                               data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputPassword1">كلمة المرور</label>
                                <input name="password" type="password" class="form-control"
                                       id="exampleInputPassword1" placeholder="كلمة المرور"
                                       value="{{old('password')}}" required>
                            </div>
                            @if ($errors->has('password'))
                                <small class="text-danger">{{ $errors->first('password') }}</small>
                            @endif

                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="status" class="form-control" id="exampleSelect1">
                                    <option value="active">مفعل</option>
                                    <option value="not_active">غير مفعل</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="city_id">المدينة</label>
                                <select name="city_id" class="form-control" id="exampleSelect1">
                                    @foreach(\App\Models\City::all() as $city)
                                    <option value="{{$city->id}}" @if($city->id == old('city_id')) selected @endif>{{$city->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                            @if ($errors->has('city_id'))
                                <small class="text-danger">{{ $errors->first('city_id') }}</small>
                            @endif

                            @if($type != 'client')
                                    <div class="form-group">
                                        <label for="poet_types">القسم</label>
                                        <select name="poet_types" class="form-control" id="exampleSelect1">
                                                <option value="dialogue" @if(old('poet_types') == 'dialogue') selected @endif>المحاورة</option>
                                                <option value="elite" @if(old('poet_types') == 'elite') selected @endif>نخبة</option>
                                                <option value="all" @if(old('poet_types') == 'all') selected @endif>الكل</option>
                                        </select>
                                    </div>
                                    @if ($errors->has('poet_types'))
                                        <small class="text-danger">{{ $errors->first('poet_types') }}</small>
                                    @endif

                            @endif
                            <input type="text" value="{{$type}}" name="type" hidden>
                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop


