<?php


namespace App\Http\Controllers\Api;

use Illuminate\Support\Facades\Route;


Route::group(['namespace' => 'api'], function () {
    Route::post('register', [UsersController::class, 'register']);
    Route::post('login', [UsersController::class, 'login']);
    Route::post('forget_password', [UsersController::class, 'forget_password']);
    Route::post('check_forget_code', [UsersController::class, 'check_forget_code']);
    Route::post('change_password', [UsersController::class, 'change_password']);
    Route::get('ads', [DataController::class, 'ads']);
    Route::post('contact_us', [DataController::class, 'contact_us']);
    Route::get('cities', [DataController::class, 'cities']);
    Route::get('settings', [DataController::class, 'settings']);
    Route::post('search', [DataController::class, 'search']);
    Route::post('send_sms', [DataController::class, 'send_sms']);


    Route::group(['middleware' => ['jwt.verify']], function () {
        Route::post('logout', [UsersController::class, 'logout']);
        Route::post('change_old_password', [UsersController::class, 'change_old_password']);
        Route::post('active_account', [UsersController::class, 'active_account']);
        Route::get('resend_code', [UsersController::class, 'resend_code']);
        Route::post('update_profile', [UsersController::class, 'update_profile']);
        Route::get('notifications', [NotificationsController::class, 'index']);
        Route::delete('notifications/{notification_id}', [NotificationsController::class, 'destroy']);
        Route::post('transfers', [OrdersController::class, 'transfers']);
        Route::get('poets_managers/{type}', [HomeController::class, 'poets_managers']);
        Route::get('orders/{type}', [OrdersController::class, 'orders']);
        Route::get('single_order/{id}', [OrdersController::class, 'single_order']);
        Route::post('send_client_request_order', [OrdersController::class, 'send_client_request_order']);
        Route::post('accept_cancel_request_order', [OrdersController::class, 'accept_cancel_request_order']);
        Route::post('cancel_client_order', [OrdersController::class, 'cancel_client_order']);
        Route::post('send_offer_to_client', [OrdersController::class, 'send_offer_to_client']);
        Route::post('accept_cancel_offer', [OrdersController::class, 'accept_cancel_offer']);
        Route::post('client_finish_order', [OrdersController::class, 'client_finish_order']);

    });
});




